Subject: [Gen-art] Gen-ART last call review of draft-ietf-marf-authfailure-report-09

From: Alexey Melnikov <[email-masked]>
Date: Sat, 14 Jan 2012 17:21:01 +0000

I am the assigned Gen-ART reviewer for this draft. For background on 
Gen-ART, please see the FAQ at 
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments 
you may receive.

Document: draft-ietf-marf-authfailure-report-09
Reviewer: Alexey Melnikov
Review Date: 2012–01–14
IETF LC End Date: 2012-01-18
IESG Telechat date: 2012-01-19

Summary: This draft is ready for publication as a standard RFC, but a 
couple of minor issues remain.

Major issues: None
Minor issues:

2.2. Base 64

Sorry for missing this earlier, but RFC 4648, Section 4 is a better 
reference for base64. (Don't forget the section reference, because RFC 
4648 has 2 base64 alphabets.)

In Section 4:

> spf-dns = "SPF-DNS:" : { "txt" / "spf" } [CFWS] ":" [CFWS]
> domain [CFWS] ":" [CFWS] quoted-string CRLF

I think you are still missing [CFWS] before "txt" and another one before 
CRLF.

Also, you should use "(" and ")" instead of "{" and "}", as the two 
latter are not valid according to ABNF syntax.

To summarize, I think you should use:

spf-dns = "SPF-DNS:" : [CFWS] ( "txt" / "spf" ) [CFWS] ":" [CFWS]
           domain [CFWS] ":" [CFWS] quoted-string [CFWS] CRLF

Nits/editorial comments: None

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Sat, 14 Jan 2012 20:49:32 -0800

Hi Alexey, thanks for the review.

> -----Original Message-----
> From: Alexey Melnikov [mailto:[email-masked]]
> Sent: Saturday, January 14, 2012 9:21 AM
> To: Hilda L. Fontana; Murray S. Kucherawy; Pete Resnick
> Cc: [email-masked]; The IESG
> Subject: Gen-ART last call review of draft-ietf-marf-authfailure-report-09
> 
> Review Date: 2012-01-14

I think that's reasonable.

> In Section 4:
> 
> > spf-dns = "SPF-DNS:" : { "txt" / "spf" } [CFWS] ":" [CFWS] domain
> > [CFWS] ":" [CFWS] quoted-string CRLF
> 
> I think you are still missing [CFWS] before "txt" and another one
> before CRLF.
> 

Almost; the errant unquoted (and thus meaningless) colon before the CFWS has to come out too.  We'll do that for -10.

Thanks again,
-MSK